Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.addressbook
Class SubscriptionIterator

    java.lang.Object
      net.i2p.addressbook.SubscriptionIterator

All Implemented Interfaces:
  Iterator

    public class SubscriptionIterator

extends Object
implements Iterator

An iterator over the subscriptions in a SubscriptionList. Note that this iterator returns AddressBook objects, and not Subscription objects.

Author:
  Ragnarok

Constructor Summary
`SubscriptionIterator(List subscriptions, String proxyHost, int proxyPort)` Construct a SubscriptionIterator using the Subscriprions in List subscriptions.

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubscriptionIterator

    public SubscriptionIterator(List subscriptions,
                                String proxyHost,
                                int proxyPort)

  Construct a SubscriptionIterator using the Subscriprions in List subscriptions.

  Parameters:
    `subscriptions` - List of Subscription objects that represent address books.
    `proxyHost` - proxy hostname
    `proxyPort` - proxt port number

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD